# Uses of Interface
java.lang.classfile.attribute.SourceDebugExtensionAttribute

Packages that use SourceDebugExtensionAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of SourceDebugExtensionAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type SourceDebugExtensionAttribute
Modifier and Type
Method
Description
`static AttributeMapper<SourceDebugExtensionAttribute>`
Attributes.`sourceDebugExtension()`
Returns the mapper for the `SourceDebugExtension` attribute.

## Uses of SourceDebugExtensionAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type SourceDebugExtensionAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`SourceDebugExtensionAttribute`
Models the `SourceDebugExtension` attribute (JVMS 4.7.11), which stores arbitrary modified UTF-8 data.
Methods in java.lang.classfile.attribute that return SourceDebugExtensionAttribute
Modifier and Type
Method
Description
`static SourceDebugExtensionAttribute`
SourceDebugExtensionAttribute.`of(byte[] contents)`
Returns a `SourceDebugExtension` attribute.